> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/fabricate/self-hosting-fabricate/deploying-and-managing-a-self-hosted-instance/using-docker-compose/troubleshooting-a-docker-compose-deployment.md).

# Troubleshooting a Docker Compose deployment

Here are common issues you might run into when you use Docker Compose to set up a self-hosted Fabricate instance, with suggestions for how to troubleshoot them:

<table><thead><tr><th valign="top">Issue</th><th valign="top">How to troubleshoot</th></tr></thead><tbody><tr><td valign="top">Container fails to start</td><td valign="top"><p>Inspect the logs:<br></p><ul><li><code>docker compose logs -f db</code></li><li><code>docker compose logs -f web</code></li></ul></td></tr><tr><td valign="top">Fabricate host is not reachable through HTTP or HTTPS</td><td valign="top"><p>Make sure that:<br></p><ul><li>The DNS points to the correct destination with <code>host fabricate.example.com</code> and isn't cached by your resolver.</li><li>The load balancer or proxy listens on <code>80</code> or <code>443</code>.</li><li>The firewall or security group allows inbound traffic on <code>80</code> and <code>443</code>.</li><li>Fabricate responds locally to <code>wget http://127.0.0.1:3000</code>.</li><li>Fabricate's healthcheck path returns a 200 status from <code>wget http://127.0.0.1:3000/up</code>.</li></ul></td></tr><tr><td valign="top">Fabricate returns 403 Forbidden HTTP error</td><td valign="top">Make sure that origin host header matches the host from the environment variable <code>FABRICATE_HOST</code>.</td></tr><tr><td valign="top">After signup, Fabricate returns a 500 Internal Server HTTP error</td><td valign="top">Check the logs for errors.<br><br>The SMTP server might be misconfigured, and Fabricate failed to send the invitation email.</td></tr><tr><td valign="top">Load balancer returns 502 Bad Gateway HTTP error</td><td valign="top"><p>Make sure that:<br></p><ul><li>The Fabricate web container is running and listening. The load balancer might be ready to accept traffic, but Fabricate might still be starting. Wait a few seconds after the first start.</li><li>The load balancer terminates the TLS handshake at the edge and proxies requests to the Fabricate web container over HTTP locally and over private VPC for the last mile. For full end-to-end encrypted communication with the web container, you must provide and configure a certificate that is signed by a trusted CA. Refer to the <code>.env</code> template<strong>.</strong></li></ul></td></tr><tr><td valign="top">JS execution fails with: <code>idfd_getfd(pidfd, 4) - Operation not permitted (os error 1)</code></td><td valign="top"><p>Make sure that:<br></p><ul><li>All required syscalls are exposed to the container using <code>cap_add</code>.</li><li>The container uses the default runc Docker runtime. Refer to the <code>docker-compose.yml</code>  template.</li></ul></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/fabricate/self-hosting-fabricate/deploying-and-managing-a-self-hosted-instance/using-docker-compose/troubleshooting-a-docker-compose-deployment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
